Get an ApplicationConfigurationVariable from a group
GET/qsystem/rest/config/applications/:applicationId/variables/groups/:groupName/:key
Get an ApplicationConfigurationVariable from a group.
-
The applicationId provided must not be null/empty and must represent a valid application that exists in Orchestra.
-
The groupName provided must not be null/empty and must represent a valid ApplicationConfigurationVariable group existing within the application.
-
The ApplicationConfigurationVariable key specified in the REST call must not be null/empty and must match an existing valid ApplicationConfigurationVariable key existing in that group
-
On success, this REST call will get the variable from the given group and application. Usage:
curl -u user:password -i -X GET http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}/variables/ groups/{groupName}/{key}existing within the application. -
The ApplicationConfigurationVariable key specified in the REST call must not be null/empty and must match an existing valid ApplicationConfigurationVariable key existing in that group On success, this REST call will get the variable from the given group and application.
Request
Responses
- 200
A JSON object of the requested ApplicationConfigurationVariable.For example: